<?php
/**
 * @package            Joomla
 * @subpackage         Event Booking
 * @author             Tuan Pham Ngoc
 * @copyright          Copyright (C) 2010 - 2021 Ossolution Team
 * @license            GNU/GPL, see LICENSE.php
 */

class EventbookingViewOverrideRegisterHtml extends EventbookingViewRegisterHtml
{
	/**
	 * Method to check and make sure registration is still possible with this even
	 *
	 * @param $event
	 * @param $config
	 */
	protected function validateRegistration($event, $config)
	{
		$app          = JFactory::getApplication();
		$user         = JFactory::getUser();
		$accessLevels = $user->getAuthorisedViewLevels();

		if (empty($event)
			|| !$event->published
			|| !in_array($event->access, $accessLevels)
			|| !in_array($event->registration_access, $accessLevels)
		)
		{
			if (!$user->id && $event && $event->published)
			{
				$app->redirect(JRoute::_('index.php?option=com_users&view=login&return=' . base64_encode(JUri::getInstance()->toString())), JText::_('EB_LOGIN_TO_REGISTER'));
			}
			else
			{
				$app->enqueueMessage(JText::_('EB_ERROR_REGISTRATION'), 'error');

				if (!$this->input->getInt('hmvc_call'))
				{
					// Redirect back to event detail page
					$app->redirect(JRoute::_(EventbookingHelperRoute::getEventRoute($event->id, $event->main_category_id, 0), false));
				}
			}
		}

		parent::validateRegistration($event, $config);
	}
}